<?php
	include_once("config.inc.php");

	if( !is_dir( $cfg['ServicesPath'] )) 
	{
		print( "FATAL ERROR - Invalid ServicesPath<BR><BR>See right pane." );
		exit;
	}	
	include_once($cfg['AmfphpPath'] . "/util/MethodTable.php");

	ob_start();
	@include_once($cfg['ServicesPath'] . $_GET['class'] . ".php");
	ob_end_clean();
	$methodTable = MethodTable::create($_GET['class'], $cfg['ServicesPath']);
	if($methodTable === false)
	{
		exit();
	}
?>
<html>
	<head>
		<title>MethodTable</title>
		<link rel="stylesheet" type="text/css" href="css/service-browser.css" />
	</head>
	<body>
		<table class="methodtable">
			<caption class="methodcaption">MethodTable for <?php echo $_GET['class']; ?></caption>
			<tr class="methodrow"><td>This code was generated by the MethodTable class in the util package. This class constructs a service's methodTable by looping through its methods and reading their signature and their comment. More info on how to use it at the <a href="http://www.amfphp.org/wiki/doku.php?id=methodtable_class" target="_blank">WiKi</a>.<br/><br/>When deploying your application on a webserver it's better to have a hard-coded methodTable for faster performance. You can copy/paste this code in the constructor of your service class.</td></tr>
		</table>
		<textarea class="codex" name="methodTable"><?php echo MethodTable::showCode($methodTable); ?></textarea>
	</body>
</html>